commit:     b56fbd52e589f7e139c7c7d27e55240ed245bcc9
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Tue May 18 18:43:10 2021 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Tue May 18 18:46:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b56fbd52

dev-php/PEAR-Log: bump to v1.13.3

Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>

 dev-php/PEAR-Log/Manifest               |  1 +
 dev-php/PEAR-Log/PEAR-Log-1.13.3.ebuild | 51 +++++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-php/PEAR-Log/Manifest b/dev-php/PEAR-Log/Manifest
index 0283dfac627..ee627883a70 100644
--- a/dev-php/PEAR-Log/Manifest
+++ b/dev-php/PEAR-Log/Manifest
@@ -1,2 +1,3 @@
 DIST Log-1.13.1.tgz 46764 BLAKE2B 
dc0f4605ed801818ddf070ec3beb6818af1630d99bec721cd3f487e709f87bd4a1628a05854c48fe9775aab546bdce4618061ef37674aa9921f536deccc6a080
 SHA512 
246510b7dbff4dc9f9cdd951d76baf2dd377e30ffde6d38cadac10091dcb92f8095406edb6d8a87ebe2330d514ce99f355f84ebfe57cd8a3f3babc316995148a
 DIST Log-1.13.2.tgz 46801 BLAKE2B 
529677ed8a840742840a8ebeb5f5c7d4e8a8af257f9c3b1cb9ff990e42e760e0040f7df8d94794f40ec5654cf33e1909b7b48ca3f656d2a2bc0310c6705d6c24
 SHA512 
a4adaf7ee2af600a6c14ed398159c61a7df73b2c6be928f0ea6bbaf90d4b0e866e5a169953fa7819e293cd5cb29c6aca762ced79f3619dfbb38af1ea8731b1c4
+DIST Log-1.13.3.tgz 46815 BLAKE2B 
139cc96e475bce1e1e34672c97060d8c2f77767d290641936ec9b28502fbf74ae2fcbb06c51bb991b413dfb8b59ae365f608f5db0687342fd2f4033a77d097f1
 SHA512 
76baf5f6c800252d30403f64f3390291193c208789e1a3b88b945bf4a28defcd465fe2313ec83487f0be95ba2a99ca75d41f4bfb01f83b84b50fdcdb68e901d4

diff --git a/dev-php/PEAR-Log/PEAR-Log-1.13.3.ebuild 
b/dev-php/PEAR-Log/PEAR-Log-1.13.3.ebuild
new file mode 100644
index 00000000000..2c518ff5dab
--- /dev/null
+++ b/dev-php/PEAR-Log/PEAR-Log-1.13.3.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="${PN/PEAR-/}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="The Log framework provides an abstracted logging system"
+HOMEPAGE="https://pear.php.net/package/Log";
+SRC_URI="http://download.pear.php.net/package/${MY_P}.tgz";
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+# The DB, Mail, and MDB2 dependencies are technically optional, but
+# automagic. To avoid surprises, we require them unconditionally.
+CDEPEND="dev-lang/php:*
+       dev-php/PEAR-PEAR
+       dev-php/PEAR-DB
+       dev-php/PEAR-Mail
+       dev-php/PEAR-MDB2"
+
+BDEPEND="test? ( ${CDEPEND} )"
+
+RDEPEND="${CDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+src_test() {
+       # Requires the "pear" executable from dev-php/PEAR-PEAR.
+       pear run-tests tests || die
+
+       # The command succeeds regardless of whether or not the test suite
+       # passed, but this file is only written when there was a failure.
+       [[ -f run-tests.log ]] && die "test suite failed"
+}
+
+src_install() {
+       dodoc docs/guide.txt misc/log.sql
+       use examples && dodoc -r examples
+
+       # I don't like installing "Log.php" right at the top-level, but any
+       # packages depending on us will expect to find it there and not as
+       # e.g. Log/Log.php.
+       insinto "/usr/share/php/"
+       doins Log.php
+       doins -r Log
+}

Reply via email to